libraw1394: version 2.0.4
Prev |  | Next

# raw1394_get_nodecount

## Name

raw1394_get_nodecount -- get number of nodes on the bus

## Synopsis

``int raw1394_get_nodecount` (raw1394handle_t handle);`

## Arguments

`handle`

  libraw1394 handle

## Description

Since the root node always has the highest node ID, this number can be used to determine that ID (it's LOCAL_BUS|(count-1)).

## Returns

the number of nodes on the bus to which the handle is connected. This value can change with every bus reset.

Prev | Home | Next
raw1394_get_irm_id | Up | raw1394_get_port_info